---
title: "Update Purchase Order Roles for a User"
slug: "update-purchase-order-roles-for-a-user"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/update-purchase-order-roles-for-a-user"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Purchase Order Roles for a User

Patch/po-rest-api/rest/1/poRoles/3C303D36645F67D8E0630B811DAC0E46

**Update Purchase Order Roles for a User** This endpoint allows users to update Purchase Order Roles associated with user by sending an HTTP PATCH request to: {{CMIC_BaseUrl}}/po-rest-api/rest/1/poRoles/:VUUID

*** Users can update the following four attributes:**

• PorlRequesterFlag • PorlBuyerFlag • PorlReceiverFla • PorlDescription

**Request Body:** The request must include a JSON payload with the appropriate key-value pairs for the attributes to be updated.

**Sample body:**

```json
{
    "PorlRequesterFlag": "N",
    "PorlBuyerFlag": "Y",
    "PorlReceiverFlag": "N",
    "PorlDescription": "Test"
}
```

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.resourceItem+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='b05849ca-fe6a-4338-a212-d342992a821e'>application/json</option>
</select>object  Example{
  "PorlRequesterFlag": "N",
  "PorlBuyerFlag": "Y",
  "PorlReceiverFlag": "N",
  "PorlDescription": "Test"
}

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourceitem+json
<select class='api-response-data' aria-label='Media type'><option value='210c6d84-f9ec-40c0-a401-7c06d59bdea8'>text/plain</option>
</select>

```
"{\n    \"PorlCompCode\": \"ZZ\",\n    \"PorlUserID\": \"IBRAHIM0033\",\n    \"PorlUserName\": \"IBRAHIM002\",\n    \"PorlRequesterFlag\": \"N\",\n    \"PorlBuyerFlag\": \"Y\",\n    \"PorlReceiverFlag\": \"N\",\n    \"PorlDescription\": \"Test\",\n    \"PorlVUuid\": \"3C303D36645F67D8E0630B811DAC0E46\",\n    \"links\": [\n        {\n            \"rel\": \"self\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3C303D36645F67D8E0630B811DAC0E46\",\n            \"name\": \"poRoles\",\n            \"kind\": \"item\"\n        },\n        {\n            \"rel\": \"canonical\",\n            \"href\": \"http://127.0.0.1:7101/po-rest-api/rest/1/poRoles/3C303D36645F67D8E0630B811DAC0E46\",\n            \"name\": \"poRoles\",\n            \"kind\": \"item\"\n        }\n    ]\n}"
```

string
